// VCppSampleDlg.h : ヘッダー ファイル
//

#if !defined(AFX_VCPPSAMPLEDLG_H__BA1A1F14_A834_40EF_B889_20098B2F8EF6__INCLUDED_)
#define AFX_VCPPSAMPLEDLG_H__BA1A1F14_A834_40EF_B889_20098B2F8EF6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCppSampleDlg ダイアログ

class CVCppSampleDlg : public CDialog
{
// 構築
public:
	CVCppSampleDlg(CWnd* pParent = NULL);	// 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CVCppSampleDlg)
	enum { IDD = IDD_VCPPSAMPLE_DIALOG };
		// メモ: この位置に ClassWizard によってデータ メンバが追加されます。
	//}}AFX_DATA

	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CVCppSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV のサポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	HICON m_hIcon;

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CVCppSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_VCPPSAMPLEDLG_H__BA1A1F14_A834_40EF_B889_20098B2F8EF6__INCLUDED_)
